rte_gro_param(3)

NAME
rte_gro_param

SYNOPSIS

#include <rte_gro.h>

  Data Fields

uint64_t gro_types
uint16_t max_flow_num
uint16_t max_item_per_flow
uint16_t socket_id

Detailed Description

Structure used to create GRO context objects or used to pass application-determined parameters to rte_gro_reassemble_burst().

Definition at line 49 of file rte_gro.h.

Field Documentation

  uint64_t gro_types
desired GRO types

Definition at line 50 of file rte_gro.h.

  uint16_t max_flow_num
max flow number

Definition at line 52 of file rte_gro.h.

  uint16_t max_item_per_flow
max packet number per flow

Definition at line 54 of file rte_gro.h.

  uint16_t socket_id
socket index for allocating GRO related data structures, like reassembly tables. When use rte_gro_reassemble_burst(), applications don't need to set this value.

Definition at line 56 of file rte_gro.h.

Author

Generated automatically by Doxygen for DPDK from the source code.